import React from "react"
import PropTypes from "prop-types"
import { File } from "../generated/graphql"
import genDownloadLink from "../functions/genDownloadLink"
import style from "./../App.module.scss"

interface Props {
    file: File
}

const ImageOpener: React.FC<Props> = (props) => {
	return (
		<div className={style.imageOpener}>
			<img className={`img-responsive img-fit-contain ${style.imageOpenerImage}`} src={genDownloadLink(props.file.id)}/>
		</div>
	)
}

ImageOpener.propTypes = {
	file: PropTypes.any.isRequired
}

export default ImageOpener
